Package org.eclipse.m2m.atl.emftvm.launcher

## Class EMFTVMParameterTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.m2m.atl.emftvm.launcher.EMFTVMParameterTab

All Implemented Interfaces:
  `org.eclipse.debug.core.IPrototypeAttributesLabelProvider`, `org.eclipse.debug.ui.ILaunchConfigurationTab`, `org.eclipse.debug.ui.ILaunchConfigurationTab2`

    public class EMFTVMParameterTab
    extends org.eclipse.debug.ui.AbstractLaunchConfigurationTab

Parameter tab for launching EMFTVM transformations. Derived from `MainAtlTab`.

### Constructor Summary

Constructors
`EMFTVMParameterTab​(java.lang.String mode)` Creates a new `EMFTVMParameterTab`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl​(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.graphics.Image` `getImage()`
`java.lang.String` `getName()`
`void` `initializeFrom​(org.eclipse.debug.core.ILaunchConfiguration configuration)`
`boolean` `isValid​(org.eclipse.debug.core.ILaunchConfiguration launchConfig)`
`void` `performApply​(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`
`void` `setDefaults​(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`activated, canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, dispose, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, initializeAttributes, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

### Constructor Detail

#### EMFTVMParameterTab

    public EMFTVMParameterTab​(java.lang.String mode)

Creates a new `EMFTVMParameterTab`.

Parameters:
  `mode` - the mode the launch configuration dialog was opened in

### Method Detail

#### createControl

    public void createControl​(org.eclipse.swt.widgets.Composite parent)

#### setDefaults

    public void setDefaults​(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

#### initializeFrom

    public void initializeFrom​(org.eclipse.debug.core.ILaunchConfiguration configuration)

#### performApply

    public void performApply​(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

#### isValid

    public boolean isValid​(org.eclipse.debug.core.ILaunchConfiguration launchConfig)

Specified by:
  `isValid` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `isValid` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`

#### getName

    public java.lang.String getName()

#### getImage

    public org.eclipse.swt.graphics.Image getImage()

Specified by:
  `getImage` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `getImage` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`